Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
BBconf refuses to compile (qt problem).
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Stinky_Foot
n00b
n00b


Joined: 31 Jul 2012
Posts: 27
Location: Piauí, Brazil

PostPosted: Fri Jan 18, 2013 7:11 pm    Post subject: BBconf refuses to compile (qt problem). Reply with quote

Hi,

First of all, sorry for any spelling errors, I am not a very good English speaker.
I've been trying to compile BBconf (the BlackBox configuration tool) for some time now, but I can't pass the configure phase; the case is that - I don't know why - I keep receiving the following message before the configure stops:
Code:
configure:22936: error: Qt (>= Qt 3.1 (20021021)) (library qt-mt) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!


I opened the config.log archive and saw that there was a missing file in the process and it was the qglobal.h. So, I managed to tell the configure command to search the file in the right path, tried to do this as follows:
Code:
 ./configure --with-qt-includes=/usr/include/qt4/Qt


The curious thing is that this don't solved the problem of the missing file at all, and now I don't know what to do anymore. If you could, give me some help guys.

Thanks,

Stinky_Foot
Back to top
View user's profile Send private message
megabaks
Apprentice
Apprentice


Joined: 22 Jan 2012
Posts: 253
Location: Russia && Saint-Petersburg

PostPosted: Fri Jan 18, 2013 8:57 pm    Post subject: Reply with quote

you need qt3
not qt4!
Back to top
View user's profile Send private message
Stinky_Foot
n00b
n00b


Joined: 31 Jul 2012
Posts: 27
Location: Piauí, Brazil

PostPosted: Fri Jan 18, 2013 9:16 pm    Post subject: Reply with quote

But doesn't qt4 comes with qt3 support? :(
Back to top
View user's profile Send private message
megabaks
Apprentice
Apprentice


Joined: 22 Jan 2012
Posts: 253
Location: Russia && Saint-Petersburg

PostPosted: Fri Jan 18, 2013 10:36 pm    Post subject: Reply with quote

Stinky_Foot wrote:
But doesn't qt4 comes with qt3 support? :(
2003-03-12 ---> no
you can use overlays for qt3
Back to top
View user's profile Send private message
Stinky_Foot
n00b
n00b


Joined: 31 Jul 2012
Posts: 27
Location: Piauí, Brazil

PostPosted: Sat Jan 19, 2013 2:48 pm    Post subject: Reply with quote

I searched for the qt3 overlays and found the x11-libs/qt-qt3support , emerged it with "ask" option and noted that the package was already installed here on my box. So, I think that the lack of qt3 support isn't the problem (or maybe I'm still doing something very wrong!).
Back to top
View user's profile Send private message
megabaks
Apprentice
Apprentice


Joined: 22 Jan 2012
Posts: 253
Location: Russia && Saint-Petersburg

PostPosted: Sat Jan 19, 2013 3:59 pm    Post subject: Reply with quote

Stinky_Foot wrote:
I searched for the qt3 overlays and found the x11-libs/qt-qt3support , emerged it with "ask" option and noted that the package was already installed here on my box. So, I think that the lack of qt3 support isn't the problem (or maybe I'm still doing something very wrong!).

no-no-no!
http://gpo.zugaina.org/x11-libs/qt (see "3.3.8")
Back to top
View user's profile Send private message
Stinky_Foot
n00b
n00b


Joined: 31 Jul 2012
Posts: 27
Location: Piauí, Brazil

PostPosted: Sat Jan 19, 2013 9:46 pm    Post subject: Reply with quote

Thanks megabaks,
I didn't know what overlays were about. Unfortunately, trying using the overlays didn't help for various motives, some of them (the overlays) could no complete the source fetches, other started the compilation but for "unkow errors" - as it said in the error message - it could not finish the compile phase, and the last one gave errors related to masked packages that were dependencies of the qt-3.3.8-r4 package.
Well, that's really sad because I wanted to have a GUI configuration manager to my BlackBox.
:cry:
_________________
'I' means I, 'we' means we.
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2101
Location: Finland

PostPosted: Sat Jan 19, 2013 9:55 pm    Post subject: Reply with quote

qt-qt3support is a package for developers to make it easier for them to port (code) the package from Qt3 to Qt4. It's not something you can use a direct replacement for the actual Qt3.

So yeah, you can still find Qt3 from some overlays, zugaina or kde-sunset.
Back to top
View user's profile Send private message
Stinky_Foot
n00b
n00b


Joined: 31 Jul 2012
Posts: 27
Location: Piauí, Brazil

PostPosted: Sat Jan 19, 2013 10:32 pm    Post subject: Reply with quote

Quote:
So yeah, you can still find Qt3 from some overlays, zugaina or kde-sunset.


In zugaina x11-libs path I could not find Qt3, only find two metapackages ebuilds on kde-sunset but those didn't worked due to fetch errors:
Code:
>>> Emerging (1 of 1) x11-libs/qt-meta-3.3.8b-r2 from kde-sunset
>>> Downloading 'ftp://gentoo.c3sl.ufpr.br/gentoo/distfiles/qt-x11-free-3.3.8b.tar.gz'
--2013-01-19 19:25:38--  ftp://gentoo.c3sl.ufpr.br/gentoo/distfiles/qt-x11-free-3.3.8b.tar.gz
           => ‘/usr/portage/distfiles/qt-x11-free-3.3.8b.tar.gz’
Resolving gentoo.c3sl.ufpr.br... 200.236.31.1, 2801:82:80ff:8000::2
Connecting to gentoo.c3sl.ufpr.br|200.236.31.1|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /gentoo/distfiles ... done.
==> SIZE qt-x11-free-3.3.8b.tar.gz ... done.
==> PASV ... done.    ==> RETR qt-x11-free-3.3.8b.tar.gz ...
No such file ‘qt-x11-free-3.3.8b.tar.gz’.

>>> Downloading 'ftp://ftp.las.ic.unicamp.br/pub/gentoo/distfiles/qt-x11-free-3.3.8b.tar.gz'
--2013-01-19 19:25:39--  ftp://ftp.las.ic.unicamp.br/pub/gentoo/distfiles/qt-x11-free-3.3.8b.tar.gz
           => ‘/usr/portage/distfiles/qt-x11-free-3.3.8b.tar.gz’
Resolving ftp.las.ic.unicamp.br... 143.106.60.118
Connecting to ftp.las.ic.unicamp.br|143.106.60.118|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /pub/gentoo/distfiles ... done.
==> SIZE qt-x11-free-3.3.8b.tar.gz ... done.
==> PASV ... done.    ==> RETR qt-x11-free-3.3.8b.tar.gz ...
No such file ‘qt-x11-free-3.3.8b.tar.gz’.

>>> Downloading 'ftp://ftp.trolltech.com/qt/source/qt-x11-free-3.3.8b.tar.gz'
--2013-01-19 19:25:40--  ftp://ftp.trolltech.com/qt/source/qt-x11-free-3.3.8b.tar.gz
           => ‘/usr/portage/distfiles/qt-x11-free-3.3.8b.tar.gz’
Resolving ftp.trolltech.com... 87.238.50.190
Connecting to ftp.trolltech.com|87.238.50.190|:21... failed: No route to host.
!!! Couldn't download 'qt-x11-free-3.3.8b.tar.gz'. Aborting.
 * Fetch failed for 'x11-libs/qt-meta-3.3.8b-r2', Log file:
 *  '/var/tmp/portage/x11-libs/qt-meta-3.3.8b-r2/temp/build.log'


I am pretty unlucky, as you can see.
_________________
'I' means I, 'we' means we.
Back to top
View user's profile Send private message
Stinky_Foot
n00b
n00b


Joined: 31 Jul 2012
Posts: 27
Location: Piauí, Brazil

PostPosted: Sun Jan 20, 2013 2:43 am    Post subject: Reply with quote

I compiled the qt3 packaged source that I found in this index http://ftp.gwdg.de/pub/linux/troll/qt/source/, the installation process was all right but when I tried to configure the bbconf sources again I received a new kind of error. As I said, before there was a file called qglobal.h missing and the error was like:
Code:
checking for Qt... configure: error: Qt (]= Qt 3.1 (20021021)) (headers and libraries) not found. Please check your installation!


Now it is like:
Code:
checking for Qt... configure: error: Qt (>= Qt 3.1 (20021021)) (library qt-mt) not found. Please check your installation!


Should this qt-mt library come out of the box with Qt3 or I must compile another package to get the job done? I could not find a package related to it for Gentoo, only find a .deb on Debian repositories. Any ideas?
_________________
'I' means I, 'we' means we.
Back to top
View user's profile Send private message
megabaks
Apprentice
Apprentice


Joined: 22 Jan 2012
Posts: 253
Location: Russia && Saint-Petersburg

PostPosted: Sun Jan 20, 2013 3:14 am    Post subject: Reply with quote

Quote:
I compiled the qt3 packaged source that I found in this index http://ftp.gwdg.de/pub/linux/troll/qt/source/
gentoo != slackware
man portage
man overlays
man layman
man emerge
Back to top
View user's profile Send private message
Stinky_Foot
n00b
n00b


Joined: 31 Jul 2012
Posts: 27
Location: Piauí, Brazil

PostPosted: Sun Jan 20, 2013 9:51 am    Post subject: Reply with quote

Thanks megabaks,
It was just a desperate trying. As I said, the overlays that I've tried with layman had various problems - some, for "uknow errors" refused to compile, others could not fetch the sources (as you can see on the code posted up above) and other even has dependencies masked for corruption. So, I am a bit lost here.
_________________
'I' means I, 'we' means we.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5412

PostPosted: Mon Jan 21, 2013 3:09 pm    Post subject: Reply with quote

Regarding bbconf: TBH, why not look for a program that's a bit less than a decade out of date ?
Sure, somebody could try to port it, but the code is full of assumptions, that are quite a bit odd these days (and that's if you forget about it using the kde hacks for a build system).
Any decent port would end up rewriting most of the code anyway.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum